function z=icechar2num(s,nanout);

% function z=icechar2num(s,nanout);
%
% convert a string of characters in ICES
% format to a number (including the possibility
% of overpunch).  If nanout~=0, set the number
% to NaN if the original string was all blank.

if ~exist('nanout') nanout=0; end;

z=s;

if (z(1)=='}') z=['10',z(2:length(z))];
elseif (z(1)=='J') z=['11',z(2:length(z))];
elseif (z(1)=='K') z=['12',z(2:length(z))];
elseif (z(1)=='L') z=['13',z(2:length(z))];
elseif (z(1)=='M') z=['14',z(2:length(z))];
elseif (z(1)=='N') z=['15',z(2:length(z))];
elseif (z(1)=='O') z=['16',z(2:length(z))];
elseif (z(1)=='P') z=['17',z(2:length(z))];
elseif (z(1)=='Q') z=['18',z(2:length(z))];
elseif (z(1)=='R') z=['19',z(2:length(z))];
end;

q=find(z=='}'); z(q)='0';
q=find(z=='J'); z(q)='1';
q=find(z=='K'); z(q)='2';
q=find(z=='L'); z(q)='3';
q=find(z=='M'); z(q)='4';
q=find(z=='N'); z(q)='5';
q=find(z=='O'); z(q)='6';
q=find(z=='P'); z(q)='7';
q=find(z=='Q'); z(q)='8';
q=find(z=='R'); z(q)='9';

% replace blanks with 0 (so "025 " for a010*degrees C
%	doesn't become 0.25 degrees)
q=find(z==' ');
z(q)='0';

% convert into a number
z=str2num(z);

if (nanout & ~sum((double(s)-32*ones(size(s))).^2))
  z=NaN;
end;
