% makeice2scot

clear all;

% include Silicate information from AR18b
load /export/lasalle1/hydrography/WOCE/AR18b/AR18b ...
	lon lat ctdpres ctdtemp ctdsal heads units botSILCAT
q=find(lon>-20 & lon<-6.5);
heads2=heads;units2=units;
lon2=lon(q);lat2=lat(q);ctdpres2=ctdpres;
ctdtemp2=ctdtemp(:,q);ctdsal2=ctdsal(:,q);
botSILCAT2=botSILCAT(:,q);
clear lon lat ctdpres ctdtemp ctdsal heads units botSILCAT
save eraseme



joinwithNaN=0;		% set to 1 to include a
			% "cast" of NaNs between sections

if (1);
  section1='/home/lasalle1/hydrography/ICES/nansen/scot2rise';
  section2='/home/lasalle1/hydrography/ICES/veins/orig/ice2rise';
  flip1=0;
  flip2=1;
else
  section1='ice2scot';
  flip1=0;
  section2='/home/lasalle1/hydrography/ICES/nansen/shet2far';
  flip2=0;
end;

joinsects;
clear ans;
plot(lon,lat,lon,lat,'.');

% fill upper NaNs in ctdsal, ctdtemp
for i=1:length(lon);
  q=find(isnan(ctdsal(1:10,i)));
  q2=min(find(isfinite(ctdsal(1:10,i))));
  ctdsal(q,i)=ctdsal(q2,i);
  q=find(isnan(ctdtemp(1:10,i)));
  q2=min(find(isfinite(ctdtemp(1:10,i))));
  ctdtemp(q,i)=ctdtemp(q2,i);
end;

% use AR18b silicate to help fill NaNs
load eraseme
property='botSILCAT';
interpprop;
!rm eraseme.mat

if (0)
q=find(ctdpres2>max(ctdpres));
botSILCAT2(q,:)=[];
ctdpres2(q)=[];
ctdtemp2(q,:)=[];
ctdsal2(q,:)=[];

disp('Calculating gamma for silicate regression.')
ctdgam=gamman(ctdsal,ctdtemp,ctdpres,lon,lat);
ctdgam2=gamman(ctdsal2,ctdtemp2,ctdpres2,lon2,lat2);

% include good values from scot2ridge
q=find(isfinite(nanmean(botSILCAT)));
ctdgam2=[ctdgam2,ctdgam(:,q)];
ctdtemp2=[ctdtemp2,ctdtemp(:,q)];
ctdsal2=[ctdsal2,ctdsal(:,q)];
botSILCAT2=[botSILCAT2,botSILCAT(:,q)];

q=find(isfinite(ctdsal+ctdtemp+ctdgam) & ...
	isnan(botSILCAT));
qq=find(isfinite(botSILCAT2));
Ds=std(ctdsal(q));
Dt=std(ctdtemp(q));
Dg=.1;
disp('Interpolating silicate.')
for i=1:length(q);
  w=exp(-( ( (ctdsal2-ctdsal(q(i)))/Ds ).^2 + ...
        ( (ctdtemp2-ctdtemp(q(i)))/Dt ).^2 + ...
        ( (ctdgam2-ctdgam(q(i)))/Dg ).^2 ));
  if (max(w)>0)
    botSILCAT(q(i))=sum(botSILCAT2(qq).*w(qq))/sum(w(qq));
  end;
  if ~rem(i,500)
    patchmap2(1:length(lon),-ctdpres,botSILCAT);
    colorbarvert; pause(.1);
  end;
end;
q=find(isnan(botSILCAT) & isfinite(ctdsal+ctdtemp));
if (length(q))
  q2=find(isnan(ctdsal));
  botSILCAT=fillnans(botSILCAT,0);
  botSILCAT(q2)=NaN;
  patchmap2(1:length(lon),-ctdpres,botSILCAT);
  colorbarvert;
end;

clear ans q q2 Ds Dt Dg *2 i d ctdgam

end;

save ice2scot;
