% joinsections.m
%
% join two sections into a single section.
% "section2" will be appended in its existing order
% unless flipsection.m is called.

joinwithNaN=0;		% set to 1 to include a
			% "cast" of NaNs between sections

if (1);
  section1='/home/lasalle1/hydrography/ICES/nansen/scot2rise';
  section2='/home/lasalle1/hydrography/ICES/veins/orig/ice2rise';
  flip1=0;
  flip2=1;
else
  section1='ice2scot';
  flip1=0;
  section2='/home/lasalle1/hydrography/ICES/nansen/shet2far';
  flip2=0;
end;

% load second section
eval(['load ',section2]);
if (flip2)
  flipsection
end;

% save as *2, so values won't be lost when
% loading first section;
bottom2=bottom;
ctdoxy2=ctdoxy;
ctdpres2=ctdpres;
ctdsal2=ctdsal;
ctdtemp2=ctdtemp;
lat2=lat;
lon2=lon;
st_order2=st_order;
stnnbr2=stnnbr;
time2=time;

% load first section
eval(['load ',section1]);
if (flip1)
  flipsection;
end;

% append NaNs to shallower section CTDs
if (max(ctdpres2)>max(ctdpres))
  q=find(ctdpres2>max(ctdpres));
  ctdoxy=[ctdoxy;NaN*ones(length(q),length(lon))];
  ctdsal=[ctdsal;NaN*ones(length(q),length(lon))];
  ctdtemp=[ctdtemp;NaN*ones(length(q),length(lon))];
  ctdpres=ctdpres2;
elseif (max(ctdpres)>max(ctdpres2))
  q=find(ctdpres>max(ctdpres2));
  ctdoxy2=[ctdoxy2;NaN*ones(length(q),length(lon2))];
  ctdsal2=[ctdsal2;NaN*ones(length(q),length(lon2))];
  ctdtemp2=[ctdtemp2;NaN*ones(length(q),length(lon2))];
  ctdpres2=ctdpres;
end;

% now join them
if (joinwithNaN)
  % calculate mean surface values for CTD obs,
  % at the joining casts.  Use a column of NaN with
  % the one surface value, when joining them
  % (if joinwithNaN=1)
  soxy=nanmean([ctdoxy(1:5,length(lon)),ctdoxy2(1:5,1)]);
  ssal=nanmean([ctdsal(1:5,length(lon)),ctdsal2(1:5,1)]);
  stemp=nanmean([ctdtemp(1:5,length(lon)),ctdtemp2(1:5,1)]);
  soxy=nanmean(soxy);ssal=nanmean(ssal);stemp=nanmean(stemp);
  soxy=[soxy;NaN*ones(length(ctdpres)-1,1)];
  ssal=[ssal;NaN*ones(length(ctdpres)-1,1)];
  stemp=[stemp;NaN*ones(length(ctdpres)-1,1)];
  slon=mean([last(lon) lon2(1)]);
  slat=mean([last(lat) lat2(1)]);
  stime=mean([last(time) time2(1)]);

  ctdoxy=[ctdoxy,soxy,ctdoxy2];
  ctdsal=[ctdsal,ssal,ctdsal2];
  ctdtemp=[ctdtemp,stemp,ctdtemp2];
  bottom=[bottom;0;bottom2];
  lat=[lat;slat;lat2];
  lon=[lon;slon;lon2];
  time=[time;stime;time2];
else
  ctdoxy=[ctdoxy,ctdoxy2];
  ctdsal=[ctdsal,ctdsal2];
  ctdtemp=[ctdtemp,ctdtemp2];
  bottom=[bottom;bottom2];
  lat=[lat;lat2];
  lon=[lon;lon2];
  time=[time;time2];
end;
st_order=1:length(lat);
stnnbr=1:length(lat);

load bathyoverflow
q=find(isnan(bottom));
bottom(q)=interp2(lon2,lat2,-z2,lon(q),lat(q));

tria=ones(size(time));
q=find(bottom==0);
tria(q)=NaN;

clear *2 soxy ssal stemp slon slat stime q 
clear section1 flip1 i joinwithNaN;

plot(lon,lat,lon,lat,'.k');


break;
save ice2scot;
