% plotnumbers.m
%
% plot the number (i.e. "1" for lon(1),lat(1))
% of the station at the appropriate lon, lat.
% useful when isolation stations for a particular
% section.

plot(lon,lat,'.k','markersize',1);
hold on;
for i=1:length(lon);
  text(lon(i),lat(i),num2str(i), ...
	'horizontalalignment','center');
end;
hold off;
overlay;
axis([min(lon)-10 max(lon)+10 ...
	min(lat)-10 max(lat)+10]);
