
subplot(221);
bathyoverflow2;
hold on;
plot(lon,lat,'.w','markersize',8);
plot(lon,lat,'.k','markersize',4);
hold off;

subplot(222);
time2=time-julian([1900 1 1 0 0 0]);
time2=time2/365.24+1900;
plot(lon,time2,lon,time2,'.');
ttl=num2str(length(lon));
ttl=[ttl,' stations'];
title(ttl);

maxz=nansum(ctdsal');
maxz=find(isfinite(maxz));
maxz=-ctdpres(max(maxz));

rho=sw_dens(ctdsal,ctdtemp, ...
	ctdpres*ones(1,length(lon)));

subplot(223);
pcolor2(lon,-ctdpres,ctdsal);
hold on;
contour(lon,-ctdpres,rho,10,'k');
hold off;
axis([min(lon) max(lon) maxz 0]);
set(gca,'ylim',[maxz 0]);
title('salinity (\rho contours)');

subplot(224);
pcolor2(lon,-ctdpres,ctdtemp);
hold on;
contour(lon,-ctdpres,rho,10,'k');
hold off;
set(gca,'ylim',[maxz 0]);
title('temp (\rho contours)');

gregorian(mean(time))
subplot(221);

